Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class BlockScale

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.objects.Null
                  de.grogra.blocks.BlockScale

All Implemented Interfaces:
  Transformation, Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, java.io.Serializable

    public class BlockScale

extends Null

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static Node.NType.Field` | `scaleX$FIELD`
`static Node.NType.Field` | `scaleY$FIELD`
`static Node.NType.Field` | `scaleZ$FIELD`

Fields inherited from class de.grogra.imp3d.objects.Null
`transform, transform$FIELD, TRANSFORMING_MASK, transforming$FIELD, USED_BITS`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`BlockScale()` Creates a new `BlockScale` node whose scaling factors are set to one.
`BlockScale(double scale)` Creates a new `BlockScale` node whose scaling factors are set to `scale`.
`BlockScale(double scaleX, double scaleY, double scaleZ)` Creates a new `BlockScale` node whose scaling factors are set to the specified values.
`BlockScale(java.lang.String scale)` Creates a new `BlockScale` node whose scaling factors are set to `scale`.
`BlockScale(java.lang.String scaleX, java.lang.String scaleY, java.lang.String scaleZ)` Creates a new `BlockScale` node whose scaling factors are set to the specified values.

Method Summary
`float` | `getAbsoluteHeight()`
`float` | `getDensity()`
`float` | `getLocalHeight()`
`float` | `getN1()`
`float` | `getN2()`
`float` | `getN3()`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`int` | `getParentId()`
`int` | `getThisId()`
`void` | `instantiate(Instantiation state)`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`void` | `setScale(double scale)`
`void` | `setScale(double scaleX, double scaleY, double scaleZ)`
`void` | `setScale(java.lang.String scale)`
`void` | `setScale(java.lang.String scaleX, java.lang.String scaleY, java.lang.String scaleZ)`
`void` | `setScaleX(double scaleX)`
`void` | `setScaleX(java.lang.String scaleX)`
`void` | `setScaleY(double scaleY)`
`void` | `setScaleY(java.lang.String scaleY)`
`void` | `setScaleZ(double scaleZ)`
`void` | `setScaleZ(java.lang.String scaleZ)`

Methods inherited from class de.grogra.imp3d.objects.Null
`getLocalTransformation, getTransform, getTranslation, isTransforming, postTransform, preTransform, setRotation, setScale, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransforming, setTranslation`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, fieldModified, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### scaleX$FIELD

    public static final Node.NType.Field scaleX$FIELD

### scaleY$FIELD

    public static final Node.NType.Field scaleY$FIELD

### scaleZ$FIELD

    public static final Node.NType.Field scaleZ$FIELD

Constructor Detail

### BlockScale

    public BlockScale()

  Creates a new `BlockScale` node whose scaling factors are set to one.

### BlockScale

    public BlockScale(double scale)

  Creates a new `BlockScale` node whose scaling factors are set to `scale`. This is a uniform scaling.

  Parameters:
    `scale` - scaling factor

### BlockScale

    public BlockScale(double scaleX,
                      double scaleY,
                      double scaleZ)

  Creates a new `BlockScale` node whose scaling factors are set to the specified values.

  Parameters:
    `scaleX` - scaling factor in x-direction
    `scaleY` - scaling factor in y-direction
    `scaleZ` - scaling factor in z-direction

### BlockScale

    public BlockScale(java.lang.String scale)

  Creates a new `BlockScale` node whose scaling factors are set to `scale`. This is a uniform scaling.

  Parameters:
    `scale` - scalingfunction

### BlockScale

    public BlockScale(java.lang.String scaleX,
                      java.lang.String scaleY,
                      java.lang.String scaleZ)

  Creates a new `BlockScale` node whose scaling factors are set to the specified values.

  Parameters:
    `scaleX` - scalingfunction in x-direction
    `scaleY` - scalingfunction in y-direction
    `scaleZ` - scalingfunction in z-direction

Method Detail

### getAbsoluteHeight

    public float getAbsoluteHeight()

### getDensity

    public float getDensity()

### getLocalHeight

    public float getLocalHeight()

### getN1

    public float getN1()

### getN2

    public float getN2()

### getN3

    public float getN3()

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Null`
  Returns:
    type describing the managed fields of the class of this node

### getParentId

    public int getParentId()

### getThisId

    public int getThisId()

### instantiate

    public void instantiate(Instantiation state)

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Null`
  Returns:
    new instance of class of this node

### setScale

    public void setScale(double scale)

### setScale

    public void setScale(double scaleX,
                         double scaleY,
                         double scaleZ)

### setScale

    public void setScale(java.lang.String scale)

### setScale

    public void setScale(java.lang.String scaleX,
                         java.lang.String scaleY,
                         java.lang.String scaleZ)

### setScaleX

    public void setScaleX(double scaleX)

### setScaleX

    public void setScaleX(java.lang.String scaleX)

### setScaleY

    public void setScaleY(double scaleY)

### setScaleY

    public void setScaleY(java.lang.String scaleY)

### setScaleZ

    public void setScaleZ(double scaleZ)

### setScaleZ

    public void setScaleZ(java.lang.String scaleZ)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD